#include "SceneA.h"

USING_NS_CC;

Scene* SceneA::createScene()
{
    return SceneA::create();
}

bool SceneA::init()
{
    if ( !Scene::init() )
    {
        return false;
    }
    
    auto sprite = Sprite::create("Logo.png");
    
    sprite->setPosition(128, 96);
    sprite->setScale(0.5);
    this->addChild(sprite);
    
    scheduleOnce(SEL_SCHEDULE(&SceneA::nextScene), 2);
    
    return true;
}

void SceneA::nextScene(float delta)
{
    auto director = Director::getInstance();
    auto scene = SceneB::createScene();
    auto transition = TransitionFade::create(1.5, scene);
    director->replaceScene(transition);
}
